/*****************************************************************************************
 ** File     : PwdFltAdmin.cpp
 ** Date     : 03/24/2002
 ** Author   : Osama Dengler <osama@denglernet.de>
 ** Abstract : Main application class.
 **
 ** Copyright (C) Osama Dengler 2002
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation; either version 2 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************************/
#include "StdAfx.h"
#include "PwdFltAdmin.h"

/******************************************************************************************
 ** Name       : theApp
 ** Purpose    : The one and only CPwdFltAdminApp object.
 ** Description: standard MSDN
 ******************************************************************************************/
CPwdFltAdminApp theApp;

/******************************************************************************************
 ** Name       : CPwdFltAdminApp
 ** Purpose    : Constructor for the CPwdFltAdminApp class
 ** Parameters : standard MSDN
 ** Return     : standard MSDN
 ** Description: standard MSDN
 ******************************************************************************************/
CPwdFltAdminApp::CPwdFltAdminApp()
{
}

/******************************************************************************************
 ** Name       : MessageMap
 ** Purpose    : Message map for the CPwdFltAdminApp class.
 ******************************************************************************************/
BEGIN_MESSAGE_MAP(CPwdFltAdminApp, CWinApp)
	//{{AFX_MSG_MAP(CPwdFltAdminApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/******************************************************************************************
 ** Name       : InitInstance
 ** Purpose    : Instance initialization code. From here the main dialog is beinr run.
 ** Parameters : standard MSDN
 ** Return     : standard MSDN
 ** Description: standard MSDN
 ******************************************************************************************/
BOOL CPwdFltAdminApp::InitInstance()
{
	CPwdFltAdminDlg dlg;

#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
#endif

	m_pMainWnd = &dlg;

	/*
	 * Run the main dialog.
	 */
	dlg.DoModal();

	/*
	 * Exit the application.
	 */
	return(FALSE);
}
