/*****************************************************************************************
 ** File     : PwdFltAdmin.h
 ** Date     : 03/24/2002
 ** Author   : Osama Dengler <osama@denglernet.de>
 ** Abstract : Includes for the PasswordFilter administration tool.
 **
 ** Copyright (C) Osama Dengler 2002
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation; either version 2 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************************/

#if !defined(AFX_PWDFLTADMIN_H__C37AA832_38E3_11D6_AAA0_00105A45B1C4__INCLUDED_)
#define AFX_PWDFLTADMIN_H__C37AA832_38E3_11D6_AAA0_00105A45B1C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

/******************************************************************************************
 ** Global includes here. This file is included from every cpp file.
 ******************************************************************************************/
#include "resource.h"		// Hauptsymbole
#include "MyRegKey.h"
#include "AboutDlg.h"
#include "PwdFltAdminDlg.h"

/******************************************************************************************
 ** Class      : CPwdFltAdminApp
 ** Description: Main application class.
 ******************************************************************************************/
class CPwdFltAdminApp : public CWinApp
{
public:
	CPwdFltAdminApp();

	//{{AFX_VIRTUAL(CPwdFltAdminApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL


	//{{AFX_MSG(CPwdFltAdminApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_PWDFLTADMIN_H__C37AA832_38E3_11D6_AAA0_00105A45B1C4__INCLUDED_)
